Subscription
Subscription object
- subscription_idstringOutput only
UUID identifying the subscription.
- schedule_idstringOutput only
UUID identifying the schedule to which the subscription belongs.
- dashboard_idstringOutput only
UUID identifying the dashboard to which the subscription belongs.
- subscriberobject
Subscriber details for users and destinations to be added as subscribers to the schedule.
Show child attributesHide child attributes
- user_subscriberobject
The user to receive the subscription email. This parameter is mutually exclusive with
destination_subscriber.Show child attributesHide child attributes
- user_idint64
UserId of the subscriber.
- destination_subscriberobject
The destination to receive the subscription email. This parameter is mutually exclusive with
user_subscriber.Show child attributesHide child attributes
- destination_idstring
The canonical identifier of the destination to receive email notification.
- created_by_user_idint64Output only
UserId of the user who adds subscribers (users or notification destinations) to the dashboard's schedule.
- etagstring
The etag for the subscription. Must be left empty on create, can be optionally provided on delete to ensure that the subscription has not been deleted since the last read.
- create_timestringOutput only
A timestamp indicating when the subscription was created.
- update_timestringOutput only
A timestamp indicating when the subscription was last updated.
- skip_notifyboolean
Controls whether notifications are sent to the subscriber for scheduled dashboard refreshes. If not defined, defaults to false in the backend to match the current behavior (refresh and notify)
Get schedule subscription GA
GET
Get schedule subscription.
API scopes: dashboards
Parameters
- dashboard_idstringRequiredpath
UUID identifying the dashboard which the subscription belongs.
- schedule_idstringRequiredpath
UUID identifying the schedule which the subscription belongs.
- subscription_idstringRequiredpath
UUID identifying the subscription.
Response
Returns the Subscription object.
List schedule subscriptions GA
GET
List schedule subscriptions.
API scopes: dashboards
Parameters
- dashboard_idstringRequiredpath
UUID identifying the dashboard which the subscriptions belongs.
- schedule_idstringRequiredpath
UUID identifying the schedule which the subscriptions belongs.
- page_sizeint32[ 1 .. 100 ]query
The number of subscriptions to return per page.
- page_tokenstringquery
A page token, received from a previous
ListSubscriptionscall. Use this to retrieve the subsequent page.
Response
Returns a list of Subscription objects.
Create schedule subscription GA
POST
Create schedule subscription.
API scopes: dashboards
Parameters
- dashboard_idstringRequiredpath
UUID identifying the dashboard to which the subscription belongs.
- schedule_idstringRequiredpath
UUID identifying the schedule to which the subscription belongs.
Request body
The subscription to create. A schedule is limited to 100 subscriptions.
- subscriberobjectRequired
Subscriber details for users and destinations to be added as subscribers to the schedule.
Show child attributesHide child attributes
- user_subscriberobject
The user to receive the subscription email. This parameter is mutually exclusive with
destination_subscriber.Show child attributesHide child attributes
- user_idint64Required
UserId of the subscriber.
- destination_subscriberobject
The destination to receive the subscription email. This parameter is mutually exclusive with
user_subscriber.Show child attributesHide child attributes
- destination_idstringRequired
The canonical identifier of the destination to receive email notification.
- skip_notifyboolean
Controls whether notifications are sent to the subscriber for scheduled dashboard refreshes. If not defined, defaults to false in the backend to match the current behavior (refresh and notify)
Response
Returns the Subscription object.
Delete schedule subscription GA
DELETE
Delete schedule subscription.
API scopes: dashboards
Parameters
- dashboard_idstringRequiredpath
UUID identifying the dashboard which the subscription belongs.
- schedule_idstringRequiredpath
UUID identifying the schedule which the subscription belongs.
- subscription_idstringRequiredpath
UUID identifying the subscription.
- etagstringquery
The etag for the subscription. Can be optionally provided to ensure that the subscription has not been modified since the last read.